DMA_BUF_END_CPU_ACCE(9)

NAME
dma_buf_end_cpu_access - Must be called after accessing a dma_buf from the cpu in the kernel context. Calls end_cpu_access to allow exporter-specific actions. Coherency is only guaranteed in the specified range for the specified access direction.

SYNOPSIS

void dma_buf_end_cpu_access(struct dma_buf * dmabuf, size_t start, size_t len, enum dma_data_direction direction);

ARGUMENTS

dmabuf
    [in] buffer to complete cpu access for.

start
    [in] start of range for cpu access.

len
    [in] length of range for cpu access.

direction
    [in] length of range for cpu access.

DESCRIPTION

This call must always succeed.

COPYRIGHT